Bug 959049 - (CVE-2013-1984) CVE-2013-1984 libXi: Multiple integer overflows leading to heap-based buffer-overflows
CVE-2013-1984 libXi: Multiple integer overflows leading to heap-based buffer-...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966698 1078025
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-03 01:13 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXi 1.7.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-03 01:13:01 EDT
Multiple integer overflows leading to heap-based buffer overflows were found in several functions in libXi, an X.Org X11 libXi runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XGetDeviceControl(), XGetFeedbackControl(),
          XGetDeviceDontPropagateList(), XGetDeviceMotionEvents(),
          XIGetProperty(), XIGetSelectedEvents(), XGetDeviceProperty()
Comment 12 Jan Lieskovsky 2013-05-23 11:30:23 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 14 Jan Lieskovsky 2013-05-23 13:20:14 EDT
These issues affect the versions of the libXi package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 15 Jan Lieskovsky 2013-05-23 13:29:11 EDT
Created libXi tracking bugs for this issue

Affects: fedora-all [bug 966698]
Comment 16 Jan Lieskovsky 2013-05-23 13:30:53 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 17 Fedora Update System 2013-05-27 22:23:57 EDT
libXi-1.7.1-4.20130524git661c45ca1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-06-02 23:03:51 EDT
libXi-1.6.2.901-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Huzaifa S. Sidhpurwala 2013-06-04 23:32:05 EDT
This issue affects the version of libXi as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 20 Huzaifa S. Sidhpurwala 2013-06-04 23:46:06 EDT
Statement:

This issue affects the libXi package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 22 errata-xmlrpc 2014-10-14 01:05:05 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.